com.oracle.truffle.api.utilities

## Class JSONHelper.JSONObjectBuilder

- java.lang.Object
- - com.oracle.truffle.api.utilities.JSONHelper.JSONStringBuilder
  - - com.oracle.truffle.api.utilities.JSONHelper.JSONObjectBuilder

Enclosing class:
  JSONHelper

    public static final class JSONHelper.JSONObjectBuilder
    extends JSONHelper.JSONStringBuilder

### Method Summary

Methods
`JSONHelper.JSONObjectBuilder` `add(java.lang.String key, java.lang.Boolean value)`
`JSONHelper.JSONObjectBuilder` `add(java.lang.String key, JSONHelper.JSONStringBuilder value)`
`JSONHelper.JSONObjectBuilder` `add(java.lang.String key, java.lang.Number value)`
`JSONHelper.JSONObjectBuilder` `add(java.lang.String key, java.lang.String value)`
`protected void` `appendTo(java.lang.StringBuilder sb)`

### Methods inherited from class com.oracle.truffle.api.utilities.JSONHelper.JSONStringBuilder

`appendValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### add

    public JSONHelper.JSONObjectBuilder add(java.lang.String key,
                                   java.lang.String value)

#### add

    public JSONHelper.JSONObjectBuilder add(java.lang.String key,
                                   java.lang.Number value)

#### add

    public JSONHelper.JSONObjectBuilder add(java.lang.String key,
                                   java.lang.Boolean value)

#### add

    public JSONHelper.JSONObjectBuilder add(java.lang.String key,
                                   JSONHelper.JSONStringBuilder value)

#### appendTo

    protected void appendTo(java.lang.StringBuilder sb)

Specified by:
  `appendTo` in class `JSONHelper.JSONStringBuilder`